 include/asm-x86_64/hw_irq.h  |    2 ++
 include/asm-x86_64/io_apic.h |   19 +++++++++++++++++++
 2 files changed, 21 insertions(+)

diff -puN include/asm-x86_64/io_apic.h~ia32-MSI-support-x86_64-fixes include/asm-x86_64/io_apic.h
--- 25/include/asm-x86_64/io_apic.h~ia32-MSI-support-x86_64-fixes	2003-11-08 17:25:19.000000000 -0800
+++ 25-akpm/include/asm-x86_64/io_apic.h	2003-11-08 17:25:54.000000000 -0800
@@ -174,6 +174,25 @@ extern int sis_apic_bug; /* dummy */ 
 #define io_apic_assign_pci_irqs 0
 #endif
 
+static inline int use_pci_vector(void)	{return 0;}
+static inline void disable_edge_ioapic_irq(unsigned int irq) { }
+static inline void mask_and_ack_level_ioapic_irq(unsigned int irq) { }
+static inline void end_edge_ioapic_irq (unsigned int irq) { }
+#define startup_level_ioapic	startup_level_ioapic_irq
+#define shutdown_level_ioapic	mask_IO_APIC_irq
+#define enable_level_ioapic	unmask_IO_APIC_irq
+#define disable_level_ioapic	mask_IO_APIC_irq
+#define mask_and_ack_level_ioapic mask_and_ack_level_ioapic_irq
+#define end_level_ioapic	end_level_ioapic_irq
+#define set_ioapic_affinity	set_ioapic_affinity_irq
+
+#define startup_edge_ioapic 	startup_edge_ioapic_irq
+#define shutdown_edge_ioapic 	disable_edge_ioapic_irq
+#define enable_edge_ioapic 	unmask_IO_APIC_irq
+#define disable_edge_ioapic 	disable_edge_ioapic_irq
+#define ack_edge_ioapic 	ack_edge_ioapic_irq
+#define end_edge_ioapic 	end_edge_ioapic_irq
+
 void enable_NMI_through_LVT0 (void * dummy);
 
 #endif
diff -puN include/asm-x86_64/hw_irq.h~ia32-MSI-support-x86_64-fixes include/asm-x86_64/hw_irq.h
--- 25/include/asm-x86_64/hw_irq.h~ia32-MSI-support-x86_64-fixes	2003-11-08 17:25:19.000000000 -0800
+++ 25-akpm/include/asm-x86_64/hw_irq.h	2003-11-08 17:27:03.000000000 -0800
@@ -173,6 +173,8 @@ static inline void hw_resend_irq(struct 
 static inline void hw_resend_irq(struct hw_interrupt_type *h, unsigned int i) {}
 #endif
 
+#define platform_legacy_irq(irq)	((irq) < 16)
+
 #endif
 
 #endif /* _ASM_HW_IRQ_H */

_
